Subject: Where to get used laboratory equipment?

From: [email-masked] (Dan Handley)
Date: Fri, 19 Nov 93 23:19:38 GMT

I manage a molecular biology/neuroscience laboratory and would like to know
if anyone knows any companies that specialize in used or surplus laboratory
equipment (e.g. centrifuges, incubators, etc.). With budgets tight these
days I expect that many labs would be interested in purchasing used
equipment. Thanks for any info!